Bug 676578 - i386 install DVD doesn't have PAE kernel and non-PAE kernel is always installed
i386 install DVD doesn't have PAE kernel and non-PAE kernel is always installed
Product: Fedora
Classification: Fedora
Component: spin-kickstarts (Show other bugs)
i386 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Bruno Wolff III
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2011-02-10 04:56 EST by Andre Robatino
Modified: 2013-01-10 01:27 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-02-26 03:27:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andre Robatino 2011-02-10 04:56:48 EST
Description of problem:
The PAE kernel should be installed on i386 when the CPU supports PAE. But this currently doesn't happen (a holdover from the split media issues with F14?). The 15 Alpha TC1 i386 DVD doesn't even include kernel-PAE.

Version-Release number of selected component (if applicable):
15 Alpha TC1
Comment 1 Bill Nottingham 2011-02-10 14:33:00 EST
Moving to spin-kickstarts as a first step... it certainly won't be installed if it's not on the media.
Comment 2 Bruno Wolff III 2011-02-10 16:24:02 EST
Are we talking just the install media here? I would think for live spins we wouldn't want the PAE kernel?
Comment 3 Kevin Fenzi 2011-02-10 18:21:34 EST
The PAE kernel was excluded to get split cd media working last release. ;) 



So, I assume we want to revert this now that we don't have any split media now?
Or are there also anaconda changes needed?
Comment 4 Bruno Wolff III 2011-02-11 11:24:57 EST
I changed the repo filters to not whack the kernel-PAE packages. Assuming whoever is building these is using these filters (rather than overriding them) I think the PAE kernels should start getting pulled in again.
Comment 5 Andre Robatino 2011-02-15 02:16:19 EST
kernel-PAE is still missing on the 15 Alpha TC2 i386 DVD.
Comment 6 Bruno Wolff III 2011-02-15 08:08:28 EST
I'd like to see what repo directives were actually used for the build. The upstream repo directive defaults were changed when I mentioned above. I just made a new spin-kickstarts with them last night. So it may be that the old version was still being used for TC2 because of that or because the build manually overrode the default and was still excluding kernel-PAE* or the problem may be something different.
Comment 7 Kevin Fenzi 2011-02-16 16:15:45 EST
Adding Dennis here. He should know what was used for TC2. Perhaps it needs a git pull to pick up these changes before RC1.
Comment 8 Andre Robatino 2011-02-22 04:14:27 EST
The PAE kernel is on the RC1 i386 DVD and installed for me on both a default and minimal install.
Comment 9 Andre Robatino 2011-02-26 03:27:34 EST
RC2 is ok as well. I'll close this and reopen if PAE disappears again.

Note You need to log in before you can comment on or make changes to this bug.